{% extends 'base.html.twig' %}

{% block title %}Connexion{% endblock %}

{% block body %}
    <div class="container mb-4">
        <h1 class="my-4 text-center text-secondary">Login</h1>

        {% if error %}
            <div class="alert alert-danger">
                {{ error.messageKey | trans(error.messagedata, 'security') }}
            </div>
        {% endif %}

        <form action="{{ path('security_login') }}" method="POST">
            <div class="form-group">
                <label for="username">Nom d'utilisateur :</label>
                <input placeholder="Nom d'utilisateur" id="username" required type="text" name="_username" class="form-control" value="{{ lastUsername }}">
            </div>

            <div class="form-group">
                <label for="mdp">Mot de passe :</label>
                <input placeholder="Mot de passe" id="mdp" required type="password" name="_password" class="form-control">
                <a href="{{ path('security_registration') }}" class="text-primary">Pas de compte ? En créer un maintenant.</a>
            </div>
            
            <div class="form-group">
                <button type="submit" class="btn btn-success">Connexion</button>
            </div>
        </form>
    </div>
{% endblock %}
